<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="BranchesTreeState">
    <expand>
      <path>
        <item name="ROOT" type="e8cecc67:BranchNodeDescriptor" />
        <item name="LOCAL_ROOT" type="e8cecc67:BranchNodeDescriptor" />
      </path>
      <path>
        <item name="ROOT" type="e8cecc67:BranchNodeDescriptor" />
        <item name="REMOTE_ROOT" type="e8cecc67:BranchNodeDescriptor" />
      </path>
      <path>
        <item name="ROOT" type="e8cecc67:BranchNodeDescriptor" />
        <item name="REMOTE_ROOT" type="e8cecc67:BranchNodeDescriptor" />
        <item name="GROUP_NODE:origin" type="e8cecc67:BranchNodeDescriptor" />
      </path>
    </expand>
    <select />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="18e03880-45a6-4a1c-bc17-9e7a3a190357" name="Default Changelist" comment="">
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/personApi/src/main/java/com/example/api/persons/RemoteGroup.java" beforeDir="false" afterPath="$PROJECT_DIR$/personApi/src/main/java/com/example/api/persons/RemoteGroup.java" afterDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="MavenImportPreferences">
    <option name="generalSettings">
      <MavenGeneralSettings>
        <option name="mavenHome" value="$APPLICATION_HOME_DIR$/plugins/maven/lib/maven3" />
      </MavenGeneralSettings>
    </option>
  </component>
  <component name="ProjectId" id="215wWKVrLpLPizusYcceXuyyT97" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="RequestMappingsPanelOrder0" value="0" />
    <property name="RequestMappingsPanelOrder1" value="1" />
    <property name="RequestMappingsPanelWidth0" value="75" />
    <property name="RequestMappingsPanelWidth1" value="75" />
    <property name="RunOnceActivity.OpenProjectViewOnStart" value="true" />
    <property name="SHARE_PROJECT_CONFIGURATION_FILES" value="true" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="nodejs_package_manager_path" value="npm" />
    <property name="project.structure.last.edited" value="Modules" />
    <property name="project.structure.proportion" value="0.0" />
    <property name="project.structure.side.proportion" value="0.0" />
    <property name="restartRequiresConfirmation" value="false" />
  </component>
  <component name="ReactorSettings">
    <option name="notificationShown" value="true" />
  </component>
  <component name="RecentsManager">
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="com.example.groupapi.jwt" />
      <recent name="com.example.groupapi" />
      <recent name="com.example.api.jwt" />
      <recent name="com.example.api" />
    </key>
  </component>
  <component name="RunManager" selected="Spring Boot.ApiApplication">
    <configuration name="TokenJwt (1)" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.example.groupapi.jwt.TokenJwt" />
      <module name="groupapi" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.example.groupapi.jwt.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="TokenJwt" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.example.api.jwt.TokenJwt" />
      <module name="api" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.example.api.jwt.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="ArquillianTestNG" factoryName="" nameIsGenerated="true">
      <option name="arquillianRunConfiguration">
        <value>
          <option name="containerStateName" value="" />
        </value>
      </option>
      <option name="TEST_OBJECT" value="CLASS" />
      <properties />
      <listeners />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="ApiApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot">
      <module name="api" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.example.api.ApiApplication" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="GroupapiApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot">
      <module name="groupapi" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.example.groupapi.GroupapiApplication" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="Application.TokenJwt (1)" />
        <item itemvalue="Application.TokenJwt" />
      </list>
    </recent_temporary>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="18e03880-45a6-4a1c-bc17-9e7a3a190357" name="Default Changelist" comment="" />
      <created>1637155003265</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1637155003265</updated>
      <workItem from="1637155011712" duration="10663000" />
      <workItem from="1637244299640" duration="2144000" />
      <workItem from="1637248482676" duration="19657000" />
      <workItem from="1638964790259" duration="3599000" />
    </task>
    <task id="LOCAL-00001" summary="initial commit">
      <created>1637155670999</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1637155670999</updated>
    </task>
    <task id="LOCAL-00002" summary="swagger funkar! Lista personer, skapa person och radera person funkar.">
      <created>1637157079164</created>
      <option name="number" value="00002" />
      <option name="presentableId" value="LOCAL-00002" />
      <option name="project" value="LOCAL" />
      <updated>1637157079164</updated>
    </task>
    <task id="LOCAL-00003" summary="Lägg till gruppId till person fungerar">
      <created>1637160380784</created>
      <option name="number" value="00003" />
      <option name="presentableId" value="LOCAL-00003" />
      <option name="project" value="LOCAL" />
      <updated>1637160380784</updated>
    </task>
    <task id="LOCAL-00004" summary="Lägg till personId till grupp när gruppId sätts på person">
      <created>1637164779551</created>
      <option name="number" value="00004" />
      <option name="presentableId" value="LOCAL-00004" />
      <option name="project" value="LOCAL" />
      <updated>1637164779551</updated>
    </task>
    <task id="LOCAL-00005" summary="swaggerconfig och keycloak config funkar??&#10;Försökt göra anrop med jwt funkar inte">
      <created>1637329830316</created>
      <option name="number" value="00005" />
      <option name="presentableId" value="LOCAL-00005" />
      <option name="project" value="LOCAL" />
      <updated>1637329830317</updated>
    </task>
    <task id="LOCAL-00006" summary="WIP få jwt på rätt plats">
      <created>1637758517100</created>
      <option name="number" value="00006" />
      <option name="presentableId" value="LOCAL-00006" />
      <option name="project" value="LOCAL" />
      <updated>1637758517100</updated>
    </task>
    <task id="LOCAL-00007" summary="WIP jwt">
      <created>1637765153916</created>
      <option name="number" value="00007" />
      <option name="presentableId" value="LOCAL-00007" />
      <option name="project" value="LOCAL" />
      <updated>1637765153916</updated>
    </task>
    <task id="LOCAL-00008" summary="WIP jwt">
      <created>1637927885609</created>
      <option name="number" value="00008" />
      <option name="presentableId" value="LOCAL-00008" />
      <option name="project" value="LOCAL" />
      <updated>1637927885609</updated>
    </task>
    <option name="localTasksCounter" value="9" />
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State />
          </value>
        </entry>
      </map>
    </option>
    <option name="oldMeFiltersMigrated" value="true" />
  </component>
  <component name="VcsManagerConfiguration">
    <MESSAGE value="initial commit" />
    <MESSAGE value="swagger funkar! Lista personer, skapa person och radera person funkar." />
    <MESSAGE value="Lägg till gruppId till person fungerar" />
    <MESSAGE value="Lägg till personId till grupp när gruppId sätts på person" />
    <MESSAGE value="swaggerconfig och keycloak config funkar??&#10;Försökt göra anrop med jwt funkar inte" />
    <MESSAGE value="WIP få jwt på rätt plats" />
    <MESSAGE value="WIP jwt" />
    <option name="LAST_COMMIT_MESSAGE" value="WIP jwt" />
  </component>
  <component name="WindowStateProjectService">
    <state x="448" y="105" key="#com.intellij.ide.util.MemberChooser" timestamp="1638967534498">
      <screen x="0" y="23" width="1280" height="719" />
    </state>
    <state x="448" y="105" key="#com.intellij.ide.util.MemberChooser/0.23.1280.719@0.23.1280.719" timestamp="1638967534498" />
    <state x="392" y="60" key="#com.intellij.refactoring.rename.AutomaticRenamingDialog" timestamp="1637162855479">
      <screen x="0" y="23" width="1280" height="719" />
    </state>
    <state x="392" y="60" key="#com.intellij.refactoring.rename.AutomaticRenamingDialog/0.23.1280.719@0.23.1280.719" timestamp="1637162855479" />
    <state x="373" y="136" key="#com.intellij.refactoring.safeDelete.UnsafeUsagesDialog" timestamp="1637749990235">
      <screen x="0" y="23" width="1280" height="719" />
    </state>
    <state x="373" y="136" key="#com.intellij.refactoring.safeDelete.UnsafeUsagesDialog/0.23.1280.719@0.23.1280.719" timestamp="1637749990235" />
    <state x="0" y="33" width="1224" height="673" key="DiffContextDialog" timestamp="1637763347661">
      <screen x="0" y="23" width="1280" height="719" />
    </state>
    <state x="0" y="33" width="1224" height="673" key="DiffContextDialog/0.23.1280.719@0.23.1280.719" timestamp="1637763347661" />
    <state width="1204" height="219" key="GridCell.Tab.0.bottom" timestamp="1638968571553">
      <screen x="0" y="23" width="1280" height="719" />
    </state>
    <state width="1204" height="219" key="GridCell.Tab.0.bottom/0.23.1280.719@0.23.1280.719" timestamp="1638968571553" />
    <state width="1204" height="219" key="GridCell.Tab.0.center" timestamp="1638968571551">
      <screen x="0" y="23" width="1280" height="719" />
    </state>
    <state width="1204" height="219" key="GridCell.Tab.0.center/0.23.1280.719@0.23.1280.719" timestamp="1638968571551" />
    <state width="1204" height="219" key="GridCell.Tab.0.left" timestamp="1638968571550">
      <screen x="0" y="23" width="1280" height="719" />
    </state>
    <state width="1204" height="219" key="GridCell.Tab.0.left/0.23.1280.719@0.23.1280.719" timestamp="1638968571550" />
    <state width="1204" height="219" key="GridCell.Tab.0.right" timestamp="1638968571552">
      <screen x="0" y="23" width="1280" height="719" />
    </state>
    <state width="1204" height="219" key="GridCell.Tab.0.right/0.23.1280.719@0.23.1280.719" timestamp="1638968571552" />
    <state width="1204" height="219" key="GridCell.Tab.1.bottom" timestamp="1638968571555">
      <screen x="0" y="23" width="1280" height="719" />
    </state>
    <state width="1204" height="219" key="GridCell.Tab.1.bottom/0.23.1280.719@0.23.1280.719" timestamp="1638968571555" />
    <state width="1204" height="219" key="GridCell.Tab.1.center" timestamp="1638968571554">
      <screen x="0" y="23" width="1280" height="719" />
    </state>
    <state width="1204" height="219" key="GridCell.Tab.1.center/0.23.1280.719@0.23.1280.719" timestamp="1638968571554" />
    <state width="1204" height="219" key="GridCell.Tab.1.left" timestamp="1638968571553">
      <screen x="0" y="23" width="1280" height="719" />
    </state>
    <state width="1204" height="219" key="GridCell.Tab.1.left/0.23.1280.719@0.23.1280.719" timestamp="1638968571553" />
    <state width="1204" height="219" key="GridCell.Tab.1.right" timestamp="1638968571555">
      <screen x="0" y="23" width="1280" height="719" />
    </state>
    <state width="1204" height="219" key="GridCell.Tab.1.right/0.23.1280.719@0.23.1280.719" timestamp="1638968571555" />
    <state width="1204" height="219" key="GridCell.Tab.2.bottom" timestamp="1638968571557">
      <screen x="0" y="23" width="1280" height="719" />
    </state>
    <state width="1204" height="219" key="GridCell.Tab.2.bottom/0.23.1280.719@0.23.1280.719" timestamp="1638968571557" />
    <state width="1204" height="219" key="GridCell.Tab.2.center" timestamp="1638968571556">
      <screen x="0" y="23" width="1280" height="719" />
    </state>
    <state width="1204" height="219" key="GridCell.Tab.2.center/0.23.1280.719@0.23.1280.719" timestamp="1638968571556" />
    <state width="1204" height="219" key="GridCell.Tab.2.left" timestamp="1638968571555">
      <screen x="0" y="23" width="1280" height="719" />
    </state>
    <state width="1204" height="219" key="GridCell.Tab.2.left/0.23.1280.719@0.23.1280.719" timestamp="1638968571555" />
    <state width="1204" height="219" key="GridCell.Tab.2.right" timestamp="1638968571557">
      <screen x="0" y="23" width="1280" height="719" />
    </state>
    <state width="1204" height="219" key="GridCell.Tab.2.right/0.23.1280.719@0.23.1280.719" timestamp="1638968571557" />
    <state x="250" y="89" key="NewModule_or_Project.wizard" timestamp="1637155104726">
      <screen x="0" y="23" width="1280" height="719" />
    </state>
    <state x="250" y="89" key="NewModule_or_Project.wizard/0.23.1280.719@0.23.1280.719" timestamp="1637155104726" />
    <state x="5" y="23" key="SettingsEditor" timestamp="1637155109735">
      <screen x="0" y="23" width="1280" height="719" />
    </state>
    <state x="5" y="23" key="SettingsEditor/0.23.1280.719@0.23.1280.719" timestamp="1637155109735" />
    <state x="235" y="109" key="Vcs.Push.Dialog.v2" timestamp="1637927887662">
      <screen x="0" y="23" width="1280" height="719" />
    </state>
    <state x="235" y="109" key="Vcs.Push.Dialog.v2/0.23.1280.719@0.23.1280.719" timestamp="1637927887662" />
    <state x="269" y="123" key="VcsDiffUtil.ChangesDialog" timestamp="1637762606349">
      <screen x="0" y="23" width="1280" height="719" />
    </state>
    <state x="269" y="123" key="VcsDiffUtil.ChangesDialog/0.23.1280.719@0.23.1280.719" timestamp="1637762606349" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/personApi/src/main/java/com/example/api/persons/RemoteGroup.java</url>
          <line>25</line>
          <option name="timeStamp" value="3" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/personApi/src/main/java/com/example/api/persons/RemoteGroup.java</url>
          <line>34</line>
          <option name="timeStamp" value="4" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/groupApi/src/main/java/com/example/groupapi/groups/GroupController.java</url>
          <line>35</line>
          <option name="timeStamp" value="6" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
  </component>
</project>